package com.sf.vertx.api.pojo;

import java.io.Serializable;
import java.util.List;

import lombok.Data;

@Data
public class AppConfig implements Serializable {
	private static final long serialVersionUID = 1518165296680157119L;
	private String appCode; // 应用唯一码, app访问uri添加前缀,用于网关区分多应用
	private boolean exclusiveService; // 预留字段, 独立端口
	private Integer exclusiveGatewayConfigId; // 独享网关配置编号
	private EnvironmentConfig environmentConfig; // 环境配置
	private List<SacService> service; // 服务
	private AdvancedConfig advancedConfig; // 高级配置
	private DataSecurity dataSecurity; // 数据加解密
}
