package com.sf.vertx.api.pojo;

import java.util.concurrent.TimeUnit;

import lombok.Data;

@Data
public class VertxOptionsConfig {
	private int eventLoopPoolSize;
	private int workerPoolSize ;
	private int internalBlockingPoolSize;
	private long blockedThreadCheckInterval;
	private long maxEventLoopExecuteTime;
	private long maxWorkerExecuteTime;
	//private ClusterManager clusterManager;
	private boolean haEnabled;
	private int quorumSize;
	private String haGroup;
	private long warningExceptionTime;
	private boolean preferNativeTransport;
	private TimeUnit maxEventLoopExecuteTimeUnit;
	private TimeUnit maxWorkerExecuteTimeUnit;
	private TimeUnit warningExceptionTimeUnit;
	private TimeUnit blockedThreadCheckIntervalUnit;
	private boolean disableTCCL;
	private Boolean useDaemonThread;
}
