package com.sf.vertx.service;

import java.util.concurrent.ConcurrentHashMap;

import com.sf.vertx.api.pojo.AppConfig;
import com.sf.vertx.api.pojo.VertxConfig;

public interface AppConfigService {
	ConcurrentHashMap<String, AppConfig> loadAllConfig();

	void addAppConfig(String appConfig);
	
	void deleteAppConfig(AppConfig appConfig);
	
	VertxConfig loadVertxConfig();
	
	void addVertxConfig(VertxConfig vertxConfig);
}
